RNAUP(l)

NAME
RNAup - calculates the thermodynamics of RNA-RNA interactions

SYNOPSIS
RNAup [-u length] [-w length] [-b] [-X[p|f]] [-c "SHIME"] [-5 length] [-3 length] [-target] [-o] [-C] [-T temp] [-4] [-d[2|3]] [-noGU] [-noCloseGU] [-noLP] [-P paramfile] [-nsp pairs] [-S scale] [-noconv]

DESCRIPTION
RNAup calculates the thermodynamics of RNA-RNA interactions, by decomposing the binding into two stages. (1) First the probability that a potential binding sites remains unpaired (equivalent to the free energy needed to open the site) is computed. (2) Then this accessibility is combined with the interaction energy to obtain the total binding energy. All calculations are done by computing partition functions over all possible conformations.
RNAup provides two different modes: By default RNAup computes accessibilities, in terms of the free energies needed to open a region (default length 4). It prints the region of highest accessibility and its opening energy to stdout, opening energies for all other regions are written to a file.
In interaction mode the interaction between two RNAs is calculated. It is invoked if the input consists of two sequences concatenated with an "&", or if the options -X[pf] or -b are given. Unless the -b option is specified RNAup assumes that the longer RNA is a structured target sequence while the shorter one is an unstructured small RNA.
Additionally, for every position along the target sequence we write the best free energy of binding for an interaction that includes this position to the the output file. Output to stdout consists of the location and free energy, dG, for the optimal region of interaction. The binding energy dG is also split into its components the interaction energy dGint and the opening energy dGu_l (and possibly dGu_s for the shorter sequence).
In addition we print the optimal interaction structure as computed by RNAduplex for this region. Note that it can happen that the RNAduplex computed optimal interaction does not coincide with the optimal RNAup region. If the two predictions don't match the structure string is replaced by a run of "." and a message is written to stderr.
Each sequence should be in 5' to 3' direction. If the sequence is preceded by a line of the form
> name
the output file "name_ux_up.out" is produced, where the "x" in "ux" is the value set by the -u option. Otherwise the file name defaults to RNA_ux_up.out. The output is concatenated if a file with the same name exists.
RNA sequences are read from stdin as strings of characters. White space and newline within a sequence cause an error! Newline is used to separate sequences. The program will continue to read new sequences until a line consisting of the single character @ or an end of file condition is encountered.

OPTIONS
Options for calculation of free energies needed to open a region:

-u len
    specifies the length (len) of the unstructured region in the output. The default value is 4. The probability of being unpaired is plotted on the right border of the unpaired region. You can specify up to 20 different length values: use "-" to specify a range of continuous values (e.g. -u 4-8) or specify a list of comma separated values (e.g. -u 4,8,15).

-c "SHIME"
    by default only the full probability of being unpaired is plotted. The -c option allows to get the different contributions (c) to the probability of being unpaired: The full probability of being unpaired ("S") is the sum of the probability of being unpaired in the exterior loop ("E"), within a hairpin loop ("H"), within an interior loop ("I") and within a multiloop ("M"). Any combination of these letters may be given.

Options for calculation of interaction:

-w len
    determines the maximal length of the region of interaction, the default is 25.

-b  include the probability of unpaired regions in both (b) RNAs. By default only the probability of being unpaired in the longer RNA (target) is used.

-5(-3) len
    These options extend the region of interaction in the target by len residues to the 5' and 3' side, respectively. The underlying assumption is that it is favorable for an interaction if not only the direct region of contact is unpaired but also a few residues 5'and 3' of this region.

-Xp set interaction mode. Pairwise (p) interaction is calculated: The first sequence interacts with the 2nd, the third with the 4th etc. If -Xp is selected two interacting sequences may be given in a single line separated by "&" or each sequence may be given on an extra line.

-Xf set interaction mode. The interaction of each sequence with the first one is calculated (e.g. interaction of one mRNA with many small RNAs). Each sequence has to be given on an extra line.

-target
    use the first sequence in the input file as the target. No length check is done.

general options:

-C  Calculate structures subject to constraints. Symbols ".", "x" and the matching brackets "( )" work in boths modes as described in RNAfold. Symbols "<" and ">" are solely used for the calculation of unpaired regions. The "|" constrain works only in interaction mode, the corresponding base has to be paired intermolecularily.

-o  make no output file.

the -noGU, -noCloseGU, -nsp, -S, -P, -noLP, -T, -4, and -d options work as in RNAfold, see there for description. output

SAMPLE OUTPUT
Output to stdout: In Interaction mode RNAup prints the most favorable interaction energy between the two sequences to stdout. The most favorable interaction energy (dG) depends on the position in the longer sequence (region [i,j]) and the position in the shorter sequence (region[k,l]): dG[i,j;k,l]. dG[i,j;k,l] is the largest contribution to dG[i,j] = sum_kl dG[i,j;k,l] which is given in the output file: therefore dG[i,j;k,l] <= dG[i,j].
> franz
GGAGUAGGUUAUCCUCUGUU
> sissi
AGGACAACCU
dG = dGint + dGu_l
(((((.((((&)))).))))) 6,15 : 1,10 (-6.66 = -9.89 + 3.23)
AGGUUAUCCU&AGGACAACCU
RNAup output in file: franz_sissi_w25_u3_4_up.out
where the result line contains following information
    RNAduplex results [i,j] [k,l] dG = dGint + dGu_l
    (((((.((((&)))).))))) 6,15 : 1,10 (-6.66=-9.89+3.23) Output to file:

Output to file contains a header including date, the command line of the call to RNAup, length and names of the input sequence(s) followed by the sequence(s). The first sequence is the target sequence. Printing of the header can be turned off using the -nh option. The line directly after the header gives the column names for the output:
  position dGu_l for -u 3 dGu_l for -u 4 dG
# pos u3S u3H u4S u4H dG where all information refers to the target sequence. The dGu_l column contains information about the -u value (u=3 or u=4) and the contribution to the free energy to open all structures "S" or only hairpin loops "H", see option -c. NA means that no results is possible (e.g. column u3S row 2: no region of length 3 ending at position 2 exists).

# Thu Apr 10 09:15:11 2008
# RNAup -u 3,4 -c SH -b
# 20 franz
# GGAGUAGGUUAUCCUCUGUU
# 10 sissi
# AGGACAACCU
# pos u3S u3H u4S u4H dG
       1 NA NA NA NA -1.540
       2 NA NA NA NA -1.540
       3 1.371 NA NA NA -1.217
       4 1.754 5.777 1.761 NA -1.393
       5 1.664 3.140 1.811 5.800 -1.393 If the -b option is selected position and dGu_s values for the shorter sequence are written after the information for the target sequence.

REFERENCES
The energy parameters are taken from:
D.H. Mathews, J. Sabina, M. Zuker and H. Turner "Expanded Sequence Dependence of Thermodynamic Parameters Provides Robust Prediction of RNA Secondary Structure" JMB, 288, pp 911-940, 1999

If you use this program in your work you might want to cite:

I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994) Fast Folding and Comparison of RNA Secondary Structures. Monatshefte f. Chemie 125: 167-188

U.Mueckstein, H. Tafer, J. Hackermueller, S.H. Bernhart, P.F. Stadler, and I.L. Hofacker (2006) Thermodynamics of RNA-RNA Binding. Bioinformatics. doi:10.1093/bioinformatics/btl024

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Ivo L Hofacker, Peter F Stadler, Ulrike Mueckstein.

BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.